# TODO:
# - internal portaudio crashes when only OSS is available on startup
# - use system portaudio (>= 19, but relies on local changes)
# - use system portSMF?
# - use system ffmpeg (libavcodec >= 51.53, libavformat >= 52.12, libavutil)
# - use system sbsms (>= 1.6.0, but relies on local changes)
# - use system libnyquist (if ever; currently it's a part of audacity project)
#
# Conditional build:
%bcond_with	ffmpeg		# build with ffmpeg support (currently audacity does not support ffmpeg 1.0)
%bcond_with	gtk3		# GTK+ 3.x instead of 2.x
#
Summary:	Audacity - manipulate digital audio waveforms
Summary(pl.UTF-8):	Audacity - narzędzie do obróbki plików dźwiękowych
Summary(ru.UTF-8):	Кроссплатформенный звуковой редактор
Name:		audacity
Version:	2.1.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
#Source0Download: http://www.fosshub.com/Audacity.html
Source0:	%{name}-minsrc-%{version}.tar.xz
# Source0-md5:	2336353377132971fd8e22fc95fd6b83
Source1:	%{name}-manual-%{version}.zip
# Source1-md5:	af51ad9418c780b8237f5a2efe91ba67
Source2:	%{name}.desktop
Source3:	%{name}-icon.png
Patch0:		%{name}-opt.patch
Patch1:		%{name}-no-macos.patch
URL:		http://audacityteam.org/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	expat-devel >= 1.95
# libavcodec >= 51.53 libavformat >= 52.12 libavutil
%{?with_ffmpeg:BuildRequires:	ffmpeg-devel >= 0.8.0}
BuildRequires:	flac-c++-devel >= 1.3.0
BuildRequires:	gettext-tools >= 0.18
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0}
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	hpklinux-devel >= 4.06
BuildRequires:	lame-libs-devel
BuildRequires:	libid3tag-devel >= 0.15.0b-2
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel >= 0.14.2b-4
#BuildRequires:	libsbsms-devel >= 1.6.0
#BuildRequires:	libsbsms2-devel >= 2.0.2
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	lilv-devel >= 0.16
BuildRequires:	lv2-devel
#BuildRequires:	portaudio-devel >= 19
BuildRequires:	pkgconfig
BuildRequires:	soundtouch-devel >= 1.3.0
BuildRequires:	soxr-devel >= 0.0.5
BuildRequires:	speex-devel
BuildRequires:	suil-devel >= 0.8.2
BuildRequires:	twolame-devel >= 0.3.9
BuildRequires:	udev-devel
BuildRequires:	unzip
BuildRequires:	vamp-devel >= 2.0
BuildRequires:	which
%{!?with_gtk3:BuildRequires:	wxGTK2-unicode-devel >= 2.8.0}
%{?with_gtk3:BuildRequires:	wxGTK3-unicode-devel >= 2.8.0}
Requires(post,postun):	shared-mime-info
Requires:	flac-c++ >= 1.3.0
# dlopened
Requires:	lame-libs
Requires:	libid3tag >= 0.15.0b-2
Requires:	libmad >= 0.14.2b-4
Requires:	libsndfile >= 1.0.0
Requires:	lilv >= 0.16
Requires:	soundtouch >= 1.3.0
%{?with_soxr:Requires:	soxr >= 0.0.5}
Requires:	suil >= 0.8.2
Requires:	twolame-libs >= 0.3.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audacity is a program that lets you manipulate digital audio
waveforms. It imports many sound file formats, including WAV, AIFF,
AU, IRCAM, MP3, and Ogg Vorbis. It supports all common editing
operations such as Cut, Copy, and Paste, plus it will mix tracks and
let you apply plug-in effects to any part of a sound.

%description -l pl.UTF-8
Audacity to program obsługujący różne formaty plików audio. Obsługuje
WAV, AIFF, AU, IRCAM, MP3, oraz Ogg Vorbis. Program ten umożliwia
wykonywanie podstawowych czynności edycyjnych takich jak kasowanie,
wstawianie i miksowanie ścieżki dźwiękowej. Umożliwia także
wykonywanie dowolnych innych operacji poprzez system wtyczek.

%description -l ru.UTF-8
Audacity - это звуковой редактор, позволяющий работать с файлами в
форматах WAV, AIFF, AU, IRCAM, MP3 и Ogg Vorbis. В нем реализованы все
основные операции, такие как удаление, копирование, вставка,
микширование треков и применение эффектов, оформленных в виде
плагинов, к любой части звукового файла.

%package devel
Summary:	Header files for Audacity interfaces
Summary(pl.UTF-8):	Pliki nagłówkowe interfejsów Audacity
Group:		Development/Libraries
Requires:	libstdc++-devel
Requires:	wxWidgets-devel >= 2.8.0
# doesn't require base

%description devel
Header files for Audacity interfaces.

%description devel -l pl.UTF-8
Pliki nagłówkowe interfejsów Audacity.

%prep
%setup -q -n %{name}-minsrc-%{version}
%patch0 -p1
%patch1 -p1

# OPTIONAL_SUBDIRS are not included in tarball; allow autotools to work
%{__sed} -i '/SUBDIRS += \$(OPTIONAL_SUBDIRS)/d' lib-src/Makefile.am

%{__sed} -i 's/libmp3lame.so/libmp3lame.so.0/g' locale/*.po

%build
cd lib-src/portmixer
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd ../lib-widget-extra
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd ../FileDialog
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd ../portsmf
%{__aclocal} -I autotools/m4
%{__autoconf}
%{__automake}
cd ../..
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}

export WX_CONFIG=$(which wx-gtk%{?with_gtk3:3}%{!?with_gtk3:2}-unicode-config)
%configure \
	%{?with_gtk3:--enable-gtk3} \
	--with-ffmpeg%{!?with_ffmpeg:=no} \
	--with-help \
	--with-id3tag=system \
	--with-libmad=system \
	--with-libsndfile=system \
	--with-libflac=system \
	--with-sbsms=local \
	--with-soxr=system \
	--with-vorbis=system

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PATH=$RPM_BUILD_ROOT

# install headers in standard location
install -d $RPM_BUILD_ROOT%{_includedir}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/audacity/include/audacity $RPM_BUILD_ROOT%{_includedir}
rmdir $RPM_BUILD_ROOT%{_datadir}/audacity/include

cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}
%{__unzip} -qq -a %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/%{name}/help

# unify locale names
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{ca_ES@valencia,ca@valencia}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{pt_PT,pt}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr_RS,sr}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr_RS@latin,sr@latin}

%{__rm} $RPM_BUILD_ROOT%{_datadir}/pixmaps/audacity.xpm
%{__rm} $RPM_BUILD_ROOT%{_datadir}/pixmaps/audacity16.xpm
%{__rm} $RPM_BUILD_ROOT%{_datadir}/pixmaps/audacity32.xpm
%{__rm} $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-mime-application-x-audacity-project.xpm

%{__rm} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/README.txt
%{__rm} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/LICENSE.txt
%{__rmdir} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt
%attr(755,root,root) %{_bindir}/audacity
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/nyquist
%{_datadir}/%{name}/plug-ins
%{_datadir}/%{name}/EQDefaultCurves.xml
%doc %{_datadir}/%{name}/help
%{_mandir}/man1/audacity.1*
%{_desktopdir}/audacity.desktop
%{_pixmapsdir}/audacity-icon.png
%{_datadir}/appdata/audacity.appdata.xml
%{_datadir}/mime/packages/audacity.xml
%{_iconsdir}/hicolor/*/apps/audacity.png
%{_iconsdir}/hicolor/*/apps/audacity.svg

%files devel
%defattr(644,root,root,755)
%{_includedir}/audacity
%changelog
* Sun Mar 13 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/audacity.git;a=log;h=master

* Wed Feb 24 2016 Adam Osuchowski <adwol@pld-linux.org> 2d22a75
- up to 2.1.2

* Mon Oct 19 2015 Jakub Bogusz <qboosh@pld-linux.org> cd38dc0
- versioned install time lilv,suil dependencies (non-versioned are autodetected btw)

* Mon Oct 19 2015 Jakub Bogusz <qboosh@pld-linux.org> fed869e
- package ca,sr locales properly instead of removing
- release 2

* Mon Oct 19 2015 Lukasz Masko <lmasko@pld-linux.org> ee784e7
- Added missing Rs.
- Removed one unsupported locale.

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 5eec20a
- new URLs, updated to 2.1.1
- removed obsolete system-libs,wx-fd-constants,wx30 patches
- added cast patch (add cast to fix build with current g++/wx)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> cbad77e
- updated gettext BR

* Sat Aug 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 53947ce
- rel 4; use debian patch instead of our own creation

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 4bf37ed
- finished port to wxWidgets 3.0
- rel 3

* Sat Jan 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 22539d3
- more fixes

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bf2114
- more

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 319417c
- partial port to wxwidgets 3.0

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 666cc45
- wxWidgets rebuild
- release 2 (by relup.sh)

* Sun Dec 08 2013 Jan Rękorajski <baggins@pld-linux.org> a318f1e
- up to 2.0.5
- removed obsolete patch

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 368545c
- resampling library defaults to soxr now
- updated some BRs

* Sun May 12 2013 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 4c69aac
- updated to 2.0.3
- rel 1

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 3ff8b61
- removed more unsupported locales
- rel 2

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 285686b
- rel 1

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 3ace0a7
- temporarily disabled ffmpeg support

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> 40a026f
- removed obsolete patch

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> e323d71
- updated to 2.0.2

